Subject: Re: linux-next: manual merge of the kspp tree with the bpf-next tree

From: Kees Cook <[email-masked]>
Date: Tue, 27 Sep 2022 12:30:14 -0700

On Tue, Sep 27, 2022 at 08:08:11PM +0100, [email-masked] wrote:
> Hi all,
> 
> Today's linux-next merge of the kspp tree got a conflict in:
> 
>   tools/objtool/check.c
> 
> between commit:
> 
>   9440155ccb948 ("ftrace: Add HAVE_DYNAMIC_FTRACE_NO_PATCHABLE")
> 
> from the bpf-next tree and commit:
> 
>   3c68a92d17add ("objtool: Disable CFI warnings")
> 
> from the kspp tree.
> 
> I fixed it up (see below) and can carry the fix as necessary. This
> is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.
> 
> diff --cc tools/objtool/check.c
> index fcc4d8ea8cec3,48e18737a2d18..0000000000000
> --- a/tools/objtool/check.c
> +++ b/tools/objtool/check.c
> @@@ -4124,7 -4118,7 +4128,8 @@@ static int validate_ibt(struct objtool_
>   		    !strcmp(sec->name, "__ex_table")			||
>   		    !strcmp(sec->name, "__jump_table")			||
>   		    !strcmp(sec->name, "__mcount_loc")			||
>  -		    !strcmp(sec->name, ".kcfi_traps"))
> ++		    !strcmp(sec->name, ".kcfi_traps"))			||
>  +		    strstr(sec->name, "__patchable_function_entries"))
>   			continue;
>   
>   		list_for_each_entry(reloc, &sec->reloc->reloc_list, list)

Thanks, yes; this matches what I had when I did a test merge yesterday
too.

-- 
Kees Cook